package com.bytedance.android.live.wallet.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class CurrencyPriceItem {
    public static final Integer LIZ = 0;
    public static final Integer LIZIZ = 0;
    public static final Integer LIZJ = 0;
    public static final Integer LIZLLL = 0;
    @c(LIZ = "currency")
    public String LJ;
    @c(LIZ = "price_show_form")
    public String LJFF;
    @c(LIZ = "price")
    public Integer LJI;
    @c(LIZ = "original_price")
    public Integer LJII;
    @c(LIZ = "price_dot")
    public Integer LJIIIIZZ;
    @c(LIZ = "keep_dot")
    public Integer LJIIIZ;

    static {
        Covode.recordClassIndex(10895);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJ != null) {
            sb.append(", currency=");
            sb.append(this.LJ);
        }
        if (this.LJFF != null) {
            sb.append(", price_show_form=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", price=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", original_price=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", price_dot=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", keep_dot=");
            sb.append(this.LJIIIZ);
        }
        sb.replace(0, 2, "CurrencyPriceItem{");
        sb.append('}');
        return sb.toString();
    }
}
